=== debian/changelog ===
apksigcopier (1.0.1-1) unstable; urgency=medium

  * New upstream version 1.0.1
  * debian/control: update description

 -- Felix C. Stegerman <flx@obfusk.net>  Thu, 08 Jul 2021 10:05:18 +0200

apksigcopier (1.0.0-2) unstable; urgency=medium

  * Add debian/watch file and upstream signing key.

 -- Felix C. Stegerman <flx@obfusk.net>  Wed, 30 Jun 2021 16:21:07 +0200

apksigcopier (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0
    - add compare command
  * debian/control: Suggests: apksigner
  * debian/rules: override dh_auto_test to run make test

 -- Felix C. Stegerman <flx@obfusk.net>  Fri, 18 Jun 2021 19:04:51 +0200

apksigcopier (0.5.0-1) unstable; urgency=medium

  * Initial release. Closes: #986179

 -- Felix C. Stegerman <flx@obfusk.net>  Thu, 15 Apr 2021 18:21:58 +0200
