=== debian/rules ===
#!/usr/bin/make -f
execute_after_dh_auto_build:
	$(MAKE) apksigcopier.1
execute_after_dh_auto_clean:
	$(MAKE) clean
override_dh_auto_test:
	PATH=$$PWD:$$PATH $(MAKE) test
%:
	dh $@ --with python3 --buildsystem=pybuild
