=== debian/tests/control ===
Tests: smoke
Depends: apksigcopier
Restrictions: allow-stderr, superficial

Tests: compare
Depends: apksigcopier, apksigner, wget
Restrictions: allow-stderr, needs-internet, skippable
