## apksigcopier 1.1.0

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 export PYTHONWARNINGS := default
 
-.PHONY: all install test test-cli lint lint-extra clean cleanup
+.PHONY: all install test test-cli test-apks lint lint-extra clean cleanup
 
 all: apksigcopier.1
 
@@ -15,14 +15,19 @@
 test-cli:
 	# TODO
 	apksigcopier --version
-	$(PYTHON) -m doctest apksigcopier
+	$(PYTHON) -m doctest apksigcopier/__init__.py
+
+test-apks:
+	cd test/apks && diff -Naur ../test-compare.out <( ../test-compare.sh \
+	  | sed -r 's!/tmp/[^/]*/!/tmp/.../!' \
+	  | sed -r 's!Expected: <[0-9a-f]+>, actual: <[0-9a-f]+>!Expected: <...>, actual: <...>!' )
 
 lint:
-	flake8 apksigcopier.py
-	pylint apksigcopier.py
+	flake8 apksigcopier/__init__.py
+	pylint apksigcopier/__init__.py
 
 lint-extra:
-	mypy apksigcopier.py
+	mypy apksigcopier/__init__.py
 
 clean: cleanup
 	rm -fr apksigcopier.egg-info/
