=== debian/changelog ===
apksigcopier (1.1.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- FC Stegerman <flx@obfusk.net>  Sat, 05 Nov 2022 18:37:27 +0100

apksigcopier (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0.
  * d/rules:
    - don't run linters. Closes: #1022411
    - use ./bin in PATH now that apksigcopier is a package.
  * d/control:
    - drop no longer needed Build-Depends: for linters.
    - bump Standards-Version to 4.6.1 (no changes required).
  * d/copyright: cleanup (minor).

 -- FC Stegerman <flx@obfusk.net>  Wed, 02 Nov 2022 00:29:15 +0100
