=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,6 @@
 execute_after_dh_auto_clean:
 	$(MAKE) clean
 override_dh_auto_test:
-	PATH=$$PWD:$$PATH $(MAKE) test
+	PATH=$$PWD/bin:$$PATH $(MAKE) test-cli
 %:
 	dh $@ --with python3 --buildsystem=pybuild
