=== debian/control ===
--- 
+++ 
@@ -1,17 +1,14 @@
 Source: apksigcopier
 Section: misc
 Priority: optional
-Maintainer: Felix C. Stegerman <flx@obfusk.net>
+Maintainer: FC Stegerman <flx@obfusk.net>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-click,
                python3-setuptools,
-               flake8,
-               pylint,
-               mypy,
                pandoc,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/obfusk/apksigcopier.git
 Vcs-Browser: https://salsa.debian.org/obfusk/apksigcopier
 Homepage: https://github.com/obfusk/apksigcopier
