=== debian/watch ===
version=4
opts="mode=git,pgpmode=gittag" \
https://github.com/obfusk/apksigcopier.git refs/tags/v([\d\.]+)
